Backward Compatibility - DirectX and .net Framework

Discussion in 'Windows Vista General Discussion' started by Scott, Feb 11, 2007.

  1. Scott

    Scott Guest

    I'm a bit perplexed as to backward compatibility with earlier versions
    of the above.

    For example, I know Vista comes with .net framework 3.0, but is that
    backward compatible with 2.0 and 1.1?

    And is DirectX 10 backward compatible with 9.x?

    I keep running into applications that want to install earlier versions
    of .NET and DirectX and I can't help but wonder if installing that
    stuff could cause conflicts or stability problems.

    I recently installed the latest version of Nero 7 Ultra Enhanced which
    claims it's "Certified for Windows Vista", but when I installed, it
    insisted upon installing DirectX 9.0c as well.

    Here's a screenshot.:

    http://img.photobucket.com/albums/v208/meloncholyman/Screen Shots/Nero-DirectX.jpg

    or http://preview.tinyurl.com/2mlrq6 if that doesn't work.

    Speaking of .net 1.1, when I did install it, I got a warning that it
    has compatibility problems. But the app I was trying to install (not
    the same one as mentioned above) refused to install without .net 1.1
    installed first...
     
    Scott, Feb 11, 2007
    #1
    1. Advertisements

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.